This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 526997 - Review Request: pdf2svg - Small tool to convert PDF files into SVG
Review Request: pdf2svg - Small tool to convert PDF files into SVG
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 526844
  Show dependency treegraph
 
Reported: 2009-10-02 19:58 EDT by Ben Boeckel
Modified: 2009-10-13 21:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-10 15:45:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-10-02 19:58:52 EDT
Spec URL: http://benboeckel.net/packaging/pdf2svg/pdf2svg.spec
SRPM URL: http://benboeckel.net/packaging/pdf2svg/pdf2svg-0.2.1-1.fc11.src.rpm
Description:
A small tool to convert PDF files into SVG using poppler and cairo.
Comment 1 Martin Gieseking 2009-10-03 04:05:53 EDT
Just two quick comments:
- Requires: groff doesn't seem to be necessary
- drop INSTALL from %doc as it's not of much use in a binary package
Comment 2 Chitlesh GOORAH 2009-10-03 06:33:39 EDT
Ben, I'll do both reviews.

Do you mind reviewing this small package for me please ?
https://bugzilla.redhat.com/show_bug.cgi?id=505264
Comment 3 Chitlesh GOORAH 2009-10-04 08:10:53 EDT
Missing timestamps during make install :

make INSTALL="install -p" install DESTDIR=%{buildroot}

The package looks good. Update the spec file too in accordance to the comment #1. I'll finalize the package review.
Comment 5 Chitlesh GOORAH 2009-10-06 07:32:03 EDT
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPLv2+) with an open-source compatible license
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: the package does not contain any duplicate files in the %files
- MUST: the package owns all directories that it creates.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i586.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.: No locales in this package
- MUST: the package is not designed to be relocatable
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros
section of Packaging Guidelines.
- MUST: The package contains code, or permissible content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package does not own files or directories already owned by other
packages. 

SHOULD Items:

 - SHOULD: The source package doesn't include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i586.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD:  Those scriptlets used are sane. 
 - SHOULD: No subpackages present.

Approved
Comment 6 Ben Boeckel 2009-10-06 11:44:51 EDT
New Package CVS Request
=======================
Package Name: pdf2svg
Short Description: Small tool to convert PDF files into SVG
Owners: mathstuf
Branches: F-10 F-11 F-12
InitialCC:
Comment 7 Kevin Fenzi 2009-10-06 13:27:11 EDT
cvs done.
Comment 8 Fedora Update System 2009-10-10 15:46:33 EDT
pdf2svg-0.2.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pdf2svg-0.2.1-2.fc11
Comment 9 Fedora Update System 2009-10-10 15:46:37 EDT
pdf2svg-0.2.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pdf2svg-0.2.1-2.fc12
Comment 10 Fedora Update System 2009-10-13 21:48:27 EDT
pdf2svg-0.2.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.